OtpErlangExit (Java-Erlang Interface Library)

Package com.ericsson.otp.erlang

## Class OtpErlangExit

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ericsson.otp.erlang.OtpException
      - - com.ericsson.otp.erlang.OtpErlangException
        - - com.ericsson.otp.erlang.OtpErlangExit

- All Implemented Interfaces:
    `java.io.Serializable`

      public class OtpErlangExit
      extends OtpErlangException

  Exception raised when a communication channel is broken. This can be caused for a number of reasons, for example:
  - an error in communication has occurred
  - a remote process has sent an exit signal
  - a linked process has exited
  See Also:
    `OtpConnection`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtpErlangExit​(OtpErlangObject reason)` | Create an OtpErlangExit exception with the given reason.
    `OtpErlangExit​(OtpErlangObject reason, OtpErlangPid pid)` | Create an OtpErlangExit exception with the given reason and sender pid.
    `OtpErlangExit​(java.lang.String reason)` | Equivalent to `OtpErlangExit(new OtpErlangAtom(reason)`.
    `OtpErlangExit​(java.lang.String reason, OtpErlangPid pid)` | Equivalent to `OtpErlangExit(new OtpErlangAtom(reason), pid)`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OtpErlangPid` | `pid()` | Get the pid that sent this exit.
    `OtpErlangObject` | `reason()` | Get the reason associated with this exit signal.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OtpErlangExit

          public OtpErlangExit​(OtpErlangObject reason)

      Create an OtpErlangExit exception with the given reason.
      Parameters:
        `reason` - the reason this exit signal has been sent.

    - #### OtpErlangExit

          public OtpErlangExit​(java.lang.String reason)

      Equivalent to `OtpErlangExit(new OtpErlangAtom(reason)`.

      Parameters:
        `reason` - the reason this exit signal has been sent.
      See Also:
        `OtpErlangExit(OtpErlangObject)`

    - #### OtpErlangExit

          public OtpErlangExit​(OtpErlangObject reason,
                               OtpErlangPid pid)

      Create an OtpErlangExit exception with the given reason and sender pid.
      Parameters:
        `reason` - the reason this exit signal has been sent.
        `pid` - the pid that sent this exit.

    - #### OtpErlangExit

          public OtpErlangExit​(java.lang.String reason,
                               OtpErlangPid pid)

      Equivalent to `OtpErlangExit(new OtpErlangAtom(reason), pid)`.

      Parameters:
        `reason` - the reason this exit signal has been sent.
        `pid` - the pid that sent this exit.
      See Also:
        `OtpErlangExit(OtpErlangObject, OtpErlangPid)`

  - ### Method Detail

    - #### reason

          public OtpErlangObject reason()

      Get the reason associated with this exit signal.

    - #### pid

          public OtpErlangPid pid()

      Get the pid that sent this exit.